---
title: 'dataproc/BP/2021_001'
linkTitle: 'BP/2021_001'
weight: 1
type: docs
description: >
  Stackdriver Logging is enabled in the cluster
---

**Product**: [Cloud Dataproc](https://cloud.google.com/dataproc)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Enabling stackdriver logging for your dataproc cluster impacts the ability to troubleshoot any issues that you might have.

If you are a Google Cloud Support customer, keeping system logging and monitoring enabled is important even if you have your own monitoring solution, because otherwise the support team won’t have access to logs and monitoring data used for troubleshooting. This is the more relevant when creating ephemeral clusters.

### Remediation

dataproc.logging.stackdriver.enable is enabled by default when a cluster is created. If you disabled this during cluster creation by setting the above property to false, please create create a new clsuter without this property.


### Further information

[Accessing cluster logs in Cloud Logging](https://cloud.google.com/dataproc/docs/guides/logging#accessing_cluster_logs_in)
