---
title: "gce/WARN/2021_006"
linkTitle: "WARN/2021_006"
weight: 1
type: docs
description: >
  Serial logs don't contain "Kernel panic" messages
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The "Kernel panic" messages in serial output usually indicate that some
fatal error occured on a Linux instance.

### Remediation

This issue requires futher troubleshooting as root causes vary in this case.
Some common issues that could cause kernel to panic:
- Memory pressure
- Disk pressure
- Filesystem issues
- Software (driver) issues
- Hardware issues

You can use the following log query to find matching log lines:

```
resource.type="gce_instance"
log_id("serialconsole.googleapis.com/serial_port_1_output")
textPayload:("Kernel panic")
```

### Further information

- [Kernel panic](https://en.wikipedia.org/wiki/Kernel_panic)
- [What to do in case of a Linux kernel panic](https://www.redhat.com/sysadmin/linux-kernel-panic)
- [Documentation for /proc/sys/kernel/](https://www.kernel.org/doc/html/latest/admin-guide/sysctl/kernel.html)
