---
title: "gke/ERR/2021_013"
linkTitle: "ERR/2021_013"
weight: 1
type: docs
description: >
  GKE cluster firewall rules are configured.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

GKE automatically creates firewall rules for cluster communication. We verify
that the VPC firewall rules are present.

### Remediation

If the firewall rules are not present, it could be because of one of the
following reasons:

- The firewall rules couldn't be created (for example in a shared VPC scenario)
- The firewall rules were disabled or deleted

### Further information

- [Automatically created firewall rules](https://cloud.google.com/kubernetes-engine/docs/concepts/firewall-rules)
- [Providing the GKE Ingress controller permission to manage host project firewall rules](https://cloud.google.com/kubernetes-engine/docs/concepts/ingress#providing_the_ingress_controller_permission_to_manage_host_project_firewall_rules)
